Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class LanguageCallback

    java.lang.Object
      |
      +--javax.security.auth.callback.LanguageCallback

All Implemented Interfaces:
  Callback, Serializable

public class LanguageCallback
extends Object
implements Callback, Serializable

Underlying security services instantiate and pass a `LanguageCallback` to the `invokeCallback` method of a `CallbackHandler` to retrieve the `Locale` used for localizing text.

See Also:
  `CallbackHandler`, Serialized Form

Constructor Summary
`LanguageCallback()` Construct a `LanguageCallback`.

Method Summary
`Locale` | `getLocale()` Get the retrieved `Locale`.
`void` | `setLocale(Locale locale)` Set the retrieved `Locale`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LanguageCallback

    public LanguageCallback()

  Construct a `LanguageCallback`.

Method Detail

### setLocale

    public void setLocale(Locale locale)

  Set the retrieved `Locale`.

  Parameters:
    `locale` - the retrieved `Locale`.
  See Also:
    `getLocale()`

### getLocale

    public Locale getLocale()

  Get the retrieved `Locale`.

  Returns:
    the retrieved `Locale`, or null if no `Locale` could be retrieved.
  See Also:
    `setLocale(java.util.Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.